### Constructor

# ICalGLib Component new_from_string

since: 1.0

#### Declaration [src]

    ICalComponent*
    i_cal_component_new_from_string (
      const gchar* str
    )

#### Description [src]

Creates a new `ICalComponent` based on a string.

Available since: 1.0

#### Parameters

`str`

  Type: `const gchar*`

  The string used to create `ICalComponent`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ICalComponent`

The newly created `ICalComponent` based on `str`.

The caller of the function takes ownership of the data, and is responsible for freeing it.